Ad

When Trying To Install Valet And Composer I Get This Message. Installation Failed, Reverting ./composer.json To Its Original Content

- 1 answer

I'm trying to get valet working but when I run

composer global require cretueusebiu/valet-windows

I get this error:

Your requirements could not be resolved to an installable set of packages. Installation failed, reverting ./composer.json to its original content.

Here is the full output:

C:\Users\Shadow\Desktop
λ composer global require cretueusebiu/valet-windows
Changed current directory to C:/Users/Shadow/AppData/Roaming/Composer
Using version ^2.1 for cretueusebiu/valet-windows
./composer.json has been updated
Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - cretueusebiu/valet-windows 2.1.0 requires nategood/httpful ~0.2 -> satisfiable by nategood/httpful[0.2.0, 0.2.1, 0.2.10, 0.2.11, 0.2.13, 0.2.16, 0.2.17, 0.2.19, 0.2.2, 0.2.20, 0.2.3, 0.2.5, 0.2.6, 0.2.7, 0.2.8, 0.2.9].
    - cretueusebiu/valet-windows 2.1.1 requires nategood/httpful ~0.2 -> satisfiable by nategood/httpful[0.2.0, 0.2.1, 0.2.10, 0.2.11, 0.2.13, 0.2.16, 0.2.17, 0.2.19, 0.2.2, 0.2.20, 0.2.3, 0.2.5, 0.2.6, 0.2.7, 0.2.8, 0.2.9].
    - nategood/httpful 0.2.9 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.8 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.7 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.6 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.5 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.3 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.20 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.2 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.19 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.17 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.16 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.13 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.11 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.10 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.1 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - nategood/httpful 0.2.0 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - Installation request for cretueusebiu/valet-windows ^2.1 -> satisfiable by cretueusebiu/valet-windows[2.1.0, 2.1.1].

  To enable extensions, verify that they are enabled in your .ini files:
    - C:\php7\php.ini
  You can also run `PHP --ini` inside terminal to see which files are used by PHP in CLI mode.

Installation failed, reverting ./composer.json to its original content.
Ad

Answer

The error message is pretty clear. valet-windows depends on nategood/httpful. Every listed version of nategood/httpful depends on PHP's curl extension, which your system doesn't have:

nategood/httpful 0.2.9 requires ext-curl * -> the requested PHP extension curl is missing from your system.

curl probably comes with whatever version of PHP you have installed, and enabling it probably just involves uncommenting

;extension=php_curl.dll

in your php.ini by removing the leading ;.

See Enable cURL in Windows 10.

Ad
source: stackoverflow.com
Ad